From 14a49435f8708dfb75558642e751e4ec85e17f07 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 16 2020 01:15:48 +0000
Subject: [PATCH 1411/2232] More test suite pins


---

diff --git a/tests/ffi/lib.rs b/tests/ffi/lib.rs
index ba9383a..825b13b 100644
--- a/tests/ffi/lib.rs
+++ b/tests/ffi/lib.rs
@@ -124,7 +124,7 @@ pub mod ffi {
         fn c_return_primitive() -> usize;
         fn c_return_shared() -> Shared;
         fn c_return_box() -> Box<R>;
-        fn c_return_unique_ptr() -> UniquePtr<C>;
+        fn c_return_unique_ptr() -> Pin<UniquePtr<C>>;
         fn c_return_ref(shared: &Shared) -> &usize;
         fn c_return_mut(shared: &mut Shared) -> &mut usize;
         fn c_return_str(shared: &Shared) -> &str;
diff --git a/tests/ffi/module.rs b/tests/ffi/module.rs
index aff1b1c..c8363b6 100644
--- a/tests/ffi/module.rs
+++ b/tests/ffi/module.rs
@@ -8,6 +8,6 @@ pub mod ffi {
 
         type C = crate::ffi::C;
 
-        fn c_take_unique_ptr(c: UniquePtr<C>);
+        fn c_take_unique_ptr(c: Pin<UniquePtr<C>>);
     }
 }
diff --git a/tests/test.rs b/tests/test.rs
index 66ef7b4..ff6abd9 100644
--- a/tests/test.rs
+++ b/tests/test.rs
@@ -188,11 +188,11 @@ fn test_c_method_calls() {
 
     let old_value = unique_ptr.get();
     assert_eq!(2020, old_value);
-    assert_eq!(2021, unique_ptr.set(2021));
+    assert_eq!(2021, unique_ptr.as_mut().set(2021));
     assert_eq!(2021, unique_ptr.get());
     assert_eq!(2021, unique_ptr.get2());
-    assert_eq!(2022, unique_ptr.set_succeed(2022).unwrap());
-    assert!(unique_ptr.get_fail().is_err());
+    assert_eq!(2022, unique_ptr.as_mut().set_succeed(2022).unwrap());
+    assert!(unique_ptr.as_mut().get_fail().is_err());
     assert_eq!(2021, ffi::Shared { z: 0 }.c_method_on_shared());
 }
 

